﻿@model StavkaNabave

@{
    ViewBag.Title = "Ažuriranje stavke nabave";
}

<h1>Ažuriranje stavke nabave</h1>
<p>
    <small>
        Stranica za ažuriranje pojedine stavke nabave. Za odabire stranog ključa prikazuju se padajuće liste s nazivima iz njihovih tablica, a ne stranim ključevima iz tablice StavkaNabave. Implementirana je i validacija Procjenjene vrijednosti da mora biti veća od 0 (pozitivan broj).
    </small>
</p>

<form asp-route-page="@ViewBag.Page"
      asp-route-sort="@ViewBag.Sort"
      asp-route-ascending="@ViewBag.Ascending"
      asp-action="Edit"
      method="post">
    <div asp-validation-summary="All"></div>
    @*<input type="hidden" asp-for="Id" />*@
    <div class="form-group">
        <label asp-for="EvidencijskiBroj"></label>
        <div><span asp-validation-for="EvidencijskiBroj" class="text-danger"></span></div>
        <input asp-for="EvidencijskiBroj" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="PredmetNabave"></label>
        <div><span asp-validation-for="PredmetNabave" class="text-danger"></span></div>
        <input asp-for="PredmetNabave" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="ProcjenjenaVrijednost"></label>
        <div><span asp-validation-for="ProcjenjenaVrijednost" class="text-danger"></span></div>
        <input asp-for="ProcjenjenaVrijednost" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="VrijediOd"></label>
        <div><span asp-validation-for="VrijediOd" class="text-danger"></span></div>
        <input asp-for="VrijediOd" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="VrijediDo"></label>
        <div><span asp-validation-for="VrijediDo" class="text-danger"></span></div>
        <input asp-for="VrijediDo" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkIdPlanNabave"></label>
        <div><span asp-validation-for="FkIdPlanNabave" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkIdPlanNabave" asp-items="ViewBag.Planovi">
            <option selected value="" disabled>Odaberite plan nabave</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkCpv"></label>
        <div><span asp-validation-for="FkCpv" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkCpv" asp-items="ViewBag.CPVovi">
            <option selected value="" disabled>Odaberite CPV</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkIso"></label>
        <div><span asp-validation-for="FkIso" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkIso" asp-items="ViewBag.Valute">
            <option selected value="" disabled>Odaberite valutu</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkIdVrstaPostupka"></label>
        <div><span asp-validation-for="FkIdVrstaPostupka" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkIdVrstaPostupka" asp-items="ViewBag.VrstePostupka">
            <option selected value="" disabled>Odaberite vrstu postupka</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Spremi</button>
        <a asp-action="Index"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-secondary">Odustani</a>
    </div>
</form>